Page MenuHomePhabricator

Donate button on Amazon form should only show up when a card is selected
Closed, ResolvedPublic1 Story Points

Description

We're assuming the wallet widget renders with a default method selected. When this isn't the case, the SetOrderReferenceDetails call comes back with constraint 'PaymentPlanNotSet - The buyer has not been able to select a Payment method for the given Order Reference'.

Move the code that makes the Donate button appear from onOrderReferenceCreate to onPaymentSelected. Show message with links to alternate payment providers a couple seconds after onReady if no payment has been selected yet.

Event Timeline

Ejegg created this task.Sep 30 2015, 12:05 AM
Ejegg claimed this task.
Ejegg raised the priority of this task from to Normal.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2015, 12:05 AM
Ejegg set Security to None.Sep 30 2015, 1:13 AM
Ejegg edited a custom field.

Change 242432 had a related patch set uploaded (by Ejegg):
WIP Ensure card selected before clicking 'Donate'

https://gerrit.wikimedia.org/r/242432

Ejegg moved this task from Backlog to Doing on the Fundraising Sprint UB40 board.Sep 30 2015, 11:00 PM
Ejegg moved this task from Doing to Review on the Fundraising Sprint UB40 board.Oct 5 2015, 8:45 PM

Change 242432 merged by jenkins-bot:
Ensure card selected before clicking 'Donate'

https://gerrit.wikimedia.org/r/242432

Ejegg closed this task as Resolved.Oct 20 2015, 3:41 PM